> For the complete documentation index, see [llms.txt](https://docs.welltested.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.welltested.ai/v1/welltested-ai/set-up.md).

# Set up

### Generate API Key

To get started, first [create an account](https://www.welltested.ai/#pricing) and get an API key.

{% hint style="info" %}
IDE Assist: You may also directly use [*`Set API Key`*](/v1/welltested-ai/ide-assist/commands.md#set-api-key) to setup the .env file and required dependencies.
{% endhint %}

### Add package from pub.dev

To your pubspec.yaml, add the [welltested](https://pub.dev/packages/welltested/install) package:

```
dependencies:
    welltested: ^1.0.4
```

or run

```
dart pub add add welltested
```

### Setup .env file

Create a `.env` file in root of your project, and add your key received in the email.

```
WELLTESTED_API=YOUR_API_KEY
```

We uses `dotenv` to retrive API Key. Once `.env` file is created, please declare it as an asset in `pubspec.yaml` to make is accessible to the package.

```yaml
assets:
  - .env
```

That's all, we are good to go!&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.welltested.ai/v1/welltested-ai/set-up.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
